GCC = gcc
CFLAGS = -Wall -O2

all: hosttool 24to16 AYto16 ARGBto16 pngtxr


pngtxr: pngtxr.o readpng.o
	$(GCC) -o pngtxr pngtxr.o readpng.o -lpng -lz

%.o: %.c
	$(GCC) $(CFLAGS) -o $*.o -c $*.c

%: %.o
	$(GCC) -o $* $*.o

clean:
	rm -f *.o hosttool 24to16 AYto16 ARGBto16 pngtxr
